from django.urls import re_path
from cashonly.web import views

urlpatterns = [
    re_path(r"^$", views.overview, name="overview"),
    re_path(r"^product/(?P<pk>\d+)/$", views.ProductView.as_view(), name="product"),
    re_path(
        r"transactions/$",
        views.transactions,
        {"detailed": False, "page": 1},
        name="transactions",
    ),
    re_path(
        r"transactions/(?P<page>\d+)/$",
        views.transactions,
        {"detailed": False},
        name="transactions",
    ),
    re_path(
        r"transactions/(?P<page>\d+)/detailed/$",
        views.transactions,
        {"detailed": True},
        name="transactions_detailed",
    ),
    re_path(r"products/((?P<category_id>\d+)/)?$", views.products, name="products"),
    re_path(r"buy/(?P<product_id>\d+)/$", views.buy, name="buy"),
    re_path(
        r"buy/(?P<product_id>\d+)/really/$",
        views.buy,
        {"confirm": True},
        name="buy_really",
    ),
    re_path(r"buy/thanks/$", views.buy_thanks, name="buy_thanks"),
    re_path(r"buy/error/$", views.buy_error, name="buy_error"),
    re_path(r"usersettings(/(?P<submit>\w+))?/$", views.usersettings, name="usersettings"),
]
