"""djangoserver URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.11/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.urls import re_path, include
from django.contrib import admin
from django.contrib.auth import views as auth_views
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    re_path(r"^admin/", admin.site.urls),
    re_path(r"", include("cashonly.web.urls")),
    re_path(
        r"^login/$",
        auth_views.LoginView.as_view(template_name="cashonly/web/login.html"),
        name="login",
    ),
    re_path(r"^logout/$", auth_views.logout_then_login, name="logout_then_login"),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
